Dependency seems to be python3-aptdaemon.test not python-aptdaemon.test in vivid

Bug #1448355 reported by themusicgod1 on 2015-04-25
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
Low
titis kates
software-center (Ubuntu)
Low
Unassigned

Bug Description

in README:

"To setup your development environment, you'll need to ensure the following
extra packages are installed:

sudo apt-get install xvfb python-coverage python-mock python-aptdaemon.test \
     python-qt4 python-unittest2 python-lxml pep8
sudo apt-get build-dep software-center"

should probably read

"
To setup your development environment, you'll need to ensure the following
extra packages are installed:

sudo apt-get install xvfb python-coverage python-mock python3-aptdaemon.test \
     python-qt4 python-unittest2 python-lxml pep8
sudo apt-get build-dep software-center
"

since that's what's actually available.

Ubuntu 15.04
software-center:
  Installed: 13.10-0ubuntu6
  Candidate: 13.10-0ubuntu6

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: software-center 13.10-0ubuntu6
ProcVersionSignature: Ubuntu 3.19.0-15.15-generic 3.19.3
Uname: Linux 3.19.0-15-generic x86_64
ApportVersion: 2.17.2-0ubuntu1
Architecture: amd64
CurrentDesktop: GNOME
Date: Fri Apr 24 20:19:20 2015
EcryptfsInUse: Yes
InstallationDate: Installed on 2014-07-09 (289 days ago)
InstallationMedia: Ubuntu-GNOME 14.10 "Utopic Unicorn" - Alpha amd64 (20140708)
PackageArchitecture: all
SourcePackage: software-center
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

themusicgod1 (themusicgod1) wrote :
description: updated
Hans Joachim Desserud (hjd) wrote :

Thanks for taking your time to report this issue and help making Ubuntu better.

I've confirmed that the latest package in Ubuntu Wily (and upstream) still mentions the old package.

Changed in software-center (Ubuntu):
status: New → Confirmed
Changed in software-center:
status: New → Confirmed
Changed in software-center (Ubuntu):
importance: Undecided → Low
Changed in hundredpapercuts:
importance: Undecided → Low
status: New → Confirmed
tags: added: wily
Bruce Pieterse (octoquad) wrote :
Changed in hundredpapercuts:
assignee: nobody → Bruce Pieterse (octoquad)
Changed in hundredpapercuts:
status: Confirmed → In Progress
Didier Roche (didrocks) on 2015-09-03
Changed in software-center:
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 13.10-0ubuntu8

---------------
software-center (13.10-0ubuntu8) wily; urgency=medium

  [ Iain Lane ]
  * 07_bzr_add_style_class_actionbar.patch:
    Add a style class for the action bar, so that we can give it some theming.

  [ Bruce Pieterse ]
  * 08_bzr_1448355-docs-fix-aptdaemon-test.patch: (LP: #1448355)
    README: Updated development package to python3-aptdaemon.test as
    python-aptdaemon.test is not available in 15.04
  * 09_bzr_899878-hardcoded-colors-dark-theme.patch: (LP: #899878)
    Added support for Adwaita Dark Theme Variant
    - Added new softwarecenter.adwaita-dark.css file
    - Added detection for adwaita and dark theme setting
    - Adjusted transparency drawing of stipple by 20%

 -- Didier Roche <email address hidden> Thu, 03 Sep 2015 09:42:53 +0200

Changed in software-center (Ubuntu):
status: Confirmed → Fix Released
Changed in hundredpapercuts:
status: In Progress → Fix Released
dobey (dobey) on 2015-12-18
no longer affects: software-center
Changed in hundredpapercuts:
assignee: Bruce Pieterse (octoquad) → titis kates (titiskates13)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers